Update zone
PATCH/zones/{zoneId}
Updates a zone's configuration (partial update)
Path Parameters
zoneId: string
Body ParametersJSON
default_mcp_gateway_application_id: optional string
Application ID configured as the default MCP Gateway for the zone (set to null to unset)
default_resource_id: optional string
Resource ID to configure as the default resource for the zone (set to null to unset)
description: optional string
Human-readable description
maxLength2048
name: optional string
Human-readable name
minLength1
maxLength255
requires_invitation: optional boolean
Whether the zone requires an invitation for email/password registration, only applies when user_identity_provider_id is not set
user_identity_provider_id: optional string
Provider ID to configure for user login (set to null to unset)
Returns
Update zone
curl https://api.keycard.ai/zones/$ZONE_ID \
-X PATCH{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"name": "x",
"organization_id": "organization_id",
"protocols": {
"oauth2": {
"authorization_endpoint": "https://example.com",
"authorization_server_metadata": "https://example.com",
"dcr_enabled": true,
"issuer": "https://example.com",
"jwks_uri": "https://example.com",
"pkce_required": true,
"redirect_uri": "https://example.com",
"registration_endpoint": "https://example.com",
"token_endpoint": "https://example.com"
},
"openid": {
"provider_configuration": "https://example.com",
"userinfo_endpoint": "https://example.com"
}
},
"slug": "slug",
"updated_at": "2019-12-27T18:11:19.117Z",
"default_mcp_gateway_application_id": "default_mcp_gateway_application_id",
"default_resource_id": "default_resource_id",
"description": "description",
"encryption_key": {
"arn": "x",
"type": "aws"
},
"login_flow": "default",
"permissions": {
"zones": {
"read": true,
"update": true,
"delete": false,
"create": false
},
"applications": {
"read": true,
"list": true,
"create": false
}
},
"requires_invitation": true,
"user_identity_provider_id": "user_identity_provider_id"
}Returns Examples
{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"name": "x",
"organization_id": "organization_id",
"protocols": {
"oauth2": {
"authorization_endpoint": "https://example.com",
"authorization_server_metadata": "https://example.com",
"dcr_enabled": true,
"issuer": "https://example.com",
"jwks_uri": "https://example.com",
"pkce_required": true,
"redirect_uri": "https://example.com",
"registration_endpoint": "https://example.com",
"token_endpoint": "https://example.com"
},
"openid": {
"provider_configuration": "https://example.com",
"userinfo_endpoint": "https://example.com"
}
},
"slug": "slug",
"updated_at": "2019-12-27T18:11:19.117Z",
"default_mcp_gateway_application_id": "default_mcp_gateway_application_id",
"default_resource_id": "default_resource_id",
"description": "description",
"encryption_key": {
"arn": "x",
"type": "aws"
},
"login_flow": "default",
"permissions": {
"zones": {
"read": true,
"update": true,
"delete": false,
"create": false
},
"applications": {
"read": true,
"list": true,
"create": false
}
},
"requires_invitation": true,
"user_identity_provider_id": "user_identity_provider_id"
}